{
  config,
  pkgs,
  lib,
  ...
}: {
  # Add packages to the dev environment
  packages = with pkgs; [
    # C/C++
    xmake
    gnumake
    binutils
    cmake
    ninja
    # gcc
    gcc_multi
    neocmakelsp
    clang-tools
  ];

  # When enter shell, exec ...
  enterShell = ''
    export LD_LIBRARY_PATH=$NIX_LD_LIBRARY_PATH
    export LD=$NIX_LD
    gcc --version
  '';
}
